swagger: '2.0'
info:
  title: ticket-service
  version: version not set
tags:
  - name: TicketService
consumes:
  - application/json
produces:
  - application/json
paths:
  /tickets:
    get:
      operationId: TicketService_ListTickets
      responses:
        '200':
          description: A successful response.
          schema:
            $ref: '#/definitions/ticket_serviceListTicketsResponse'
        default:
          description: An unexpected error response.
          schema:
            $ref: '#/definitions/googlerpcStatus'
      parameters:
        - name: filter.userId
          in: query
          required: false
          type: string
          format: int64
        - name: lastId
          in: query
          required: false
          type: string
          format: int64
      tags:
        - TicketService
    post:
      operationId: TicketService_CreateTicket
      responses:
        '200':
          description: A successful response.
          schema:
            $ref: '#/definitions/ticket_serviceCreateTicketResponse'
        default:
          description: An unexpected error response.
          schema:
            $ref: '#/definitions/googlerpcStatus'
      parameters:
        - name: body
          in: body
          required: true
          schema:
            $ref: '#/definitions/ticket_serviceCreateTicketRequest'
      tags:
        - TicketService
  /tickets/{id}:
    get:
      operationId: TicketService_GetTicket
      responses:
        '200':
          description: A successful response.
          schema:
            $ref: '#/definitions/ticket_serviceGetTicketResponse'
        default:
          description: An unexpected error response.
          schema:
            $ref: '#/definitions/googlerpcStatus'
      parameters:
        - name: id
          in: path
          required: true
          type: string
          format: int64
      tags:
        - TicketService
  /tickets/{id}/assign-payment:
    post:
      operationId: TicketService_AssignPayment
      responses:
        '200':
          description: A successful response.
          schema:
            $ref: '#/definitions/ticket_serviceAssignPaymentResponse'
        default:
          description: An unexpected error response.
          schema:
            $ref: '#/definitions/googlerpcStatus'
      parameters:
        - name: id
          in: path
          required: true
          type: string
          format: int64
        - name: body
          in: body
          required: true
          schema:
            type: object
            properties:
              paymentId:
                type: string
                format: int64
      tags:
        - TicketService
  /tickets/{id}/cancel:
    post:
      operationId: TicketService_CancelTicket
      responses:
        '200':
          description: A successful response.
          schema:
            $ref: '#/definitions/ticket_serviceCancelTicketResponse'
        default:
          description: An unexpected error response.
          schema:
            $ref: '#/definitions/googlerpcStatus'
      parameters:
        - name: id
          in: path
          required: true
          type: string
          format: int64
        - name: body
          in: body
          required: true
          schema:
            type: object
      tags:
        - TicketService
  /tickets/{id}/return:
    post:
      operationId: TicketService_ReturnTicket
      responses:
        '200':
          description: A successful response.
          schema:
            $ref: '#/definitions/ticket_serviceReturnTicketResponse'
        default:
          description: An unexpected error response.
          schema:
            $ref: '#/definitions/googlerpcStatus'
      parameters:
        - name: id
          in: path
          required: true
          type: string
          format: int64
        - name: body
          in: body
          required: true
          schema:
            type: object
      tags:
        - TicketService
definitions:
  ListTicketsRequestFilter:
    type: object
    properties:
      userId:
        type: string
        format: int64
  googlerpcStatus:
    type: object
    properties:
      code:
        type: integer
        format: int32
      message:
        type: string
      details:
        type: array
        items:
          type: object
          $ref: '#/definitions/protobufAny'
  protobufAny:
    type: object
    properties:
      '@type':
        type: string
    additionalProperties: {}
  ticket_serviceAssignPaymentResponse:
    type: object
  ticket_serviceCancelTicketResponse:
    type: object
  ticket_serviceCreateTicketRequest:
    type: object
    properties:
      cost:
        type: number
        format: float
      place:
        type: string
        format: int64
      ticketCategoryId:
        type: string
        format: int64
  ticket_serviceCreateTicketResponse:
    type: object
    properties:
      id:
        type: string
        format: int64
  ticket_serviceGetTicketResponse:
    type: object
    properties:
      ticket:
        $ref: '#/definitions/ticket_serviceTicket'
  ticket_serviceListTicketsResponse:
    type: object
    properties:
      tickets:
        type: array
        items:
          type: object
          $ref: '#/definitions/ticket_serviceTicket'
      hasNext:
        type: boolean
  ticket_serviceReturnTicketResponse:
    type: object
  ticket_serviceTicket:
    type: object
    properties:
      id:
        type: string
        format: int64
      cost:
        type: number
        format: float
      place:
        type: integer
        format: int32
      ticketCategory:
        $ref: '#/definitions/ticket_serviceTicketCategory'
      status:
        $ref: '#/definitions/ticket_serviceTicketStatus'
      createdAt:
        type: string
        format: date-time
      updatedAt:
        type: string
        format: date-time
  ticket_serviceTicketCategory:
    type: object
    properties:
      id:
        type: string
        format: int64
      title:
        type: string
  ticket_serviceTicketStatus:
    type: string
    enum:
      - UNKNOWN
      - RESERVED
      - PAID
      - RETURNED
    default: UNKNOWN
